7 Replies Latest reply on Aug 25, 2009 5:25 AM by David Murphy

    Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)

    David Murphy Newbie

      Hi - I am trying to get a basic SEAM project to deploy on AS 5.1. The project is created via the new Project - Seam Web Project wizard In Eclipse Galileo with JBoss Tools 3.1.0 installed.


      --Problem 1--
      While setting up the SEAM properties for the project the wizard asks for the seam properties Seam Runtime. I have Seam 2.2 installed but when I try to use that the wizard complains that The selected seam appears to be of an incompatible version '2.2.0.GA'.
      So get around that I installed SEAM 2.0 and the previous problem is resolved. But I have on older version of seam.


      --Problem 2--
      When I 'run on server' the ant script builds a .war file and deploys that. However JBOSS AS then throws exceptions 'File Not Found' trying to load files from the .war file. This is a windows system. The ant script uses the jar task to build the war file - should it use the war task instead?


      Anyway, so I changed the build file to deploy the seam application unpacked to try to get around this problem.


      --Problem 3--
      Now JBOSS throws exceptions as the seam app is loading :-


      Exception sending context initialized event to listener instance of class org.jboss.web.jsf.integration.config.JBossJSFConfigureListener com.sun.faces.config.ConfigurationException: CONFIGURATION FAILED! org.jboss.seam.jsf.SeamApplicationFactory


      googling this seems to point to some conflict in which jsf libraries are being loaded. But being unfamiliar with JSF and SEAM I'm at a loss to know what the problem here is. Any help much appreciated..

        • 1. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
          Joshua D Novice

          David - You did rightly guess the fact that these CONFIGURATION FAILED errors are due to unresolved jar dependencies. You need to figure out the jar file which is missing from the above stack trace and add it appropriately to the EJB / WAR manifests.


          Kindly go through this project for a reference to dependencies (http://seamframework.org/Community/SeamInActionChapter2345And6Mavenized)

          • 2. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
            David Murphy Newbie

            Actually I think its not a matter of missing JSF jar dependencies but rather that there are multiple versions of JSF being loaded into JBOSS. I finally changed the project in Eclipse to tell it not to include the JSF jars in the deployment and that resolved the issue. I think JBOSS (being a JEE container) loads its own JSF dependencies and these were clashing with the JSF jars included in my application.

            • 3. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
              lucio piccoli Newbie
              please detail steps to correct problem #1.
              I get the same error message with tool 3.0.1 and 3.10 when using seam 2.2GA.

              is the tooling set up for seam 2.2?

              any help appreciated.

              -lp
              • 4. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
                David Murphy Newbie

                Lucio - I eventually used the seam-gen app to create the seam examples. It works much better than the IDE. The JBoss Tools stuff seems to be broken in many ways and I gave up on it.


                Look under the seam-gen directory in your seam 2.2 distribution

                • 5. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
                  Max Andersen Newbie

                  Hi - I am trying to get a basic SEAM project to deploy on AS 5.1. The project is created via the new Project - Seam Web Project wizard In Eclipse Galileo with JBoss Tools 3.1.0 installed.


                  JBoss Tools 3.1.0 is a Milestone release currently - feedback is welcome, but do expect some bumpyness when using Seam releases that were done after the milestone build you are using.


                  That being said - this stuff should just work, so if there are any problems with the tools specifically the jboss tools forum and jira is where to speak up.



                  --Problem 1--
                  While setting up the SEAM properties for the project the wizard asks for the seam properties Seam Runtime. I have Seam 2.2 installed but when I try to use that the wizard complains that The selected seam appears to be of an incompatible version '2.2.0.GA'.
                  So get around that I installed SEAM 2.0 and the previous problem is resolved. But I have on older version of seam.


                  As you might have noticed that text is just a warning, not an error. The intention is just to make you aware that you are using something that is not an exact match when it comes to version and then possibly behavior. It is not the first time I heard someone install a Seam 2.0 instead of just using the latest/greatest which should just work....is there anyone with a better suggestion for the wording to make users realize that if they are sure it is the right jar they've chosen it should be ok ?



                  --Problem 2--
                  When I 'run on server' the ant script builds a .war file and deploys that. However JBOSS AS then throws exceptions 'File Not Found' trying to load files from the .war file. This is a windows system. The ant script uses the jar task to build the war file - should it use the war task instead?


                  eh..when you use Run On Server there is no ant script involved if you use the JBoss Community or JBoss Enterprise servers. There might be if you use Eclipse WTP's default JBoss servers - but these have been broken for ages (hence why we provide our own)



                  --Problem 3--
                  Now JBOSS throws exceptions as the seam app is loading :-

                  Exception sending context initialized event to listener instance of class org.jboss.web.jsf.integration.config.JBossJSFConfigureListener com.sun.faces.config.ConfigurationException: CONFIGURATION FAILED! org.jboss.seam.jsf.SeamApplicationFactory

                  googling this seems to point to some conflict in which jsf libraries are being loaded. But being unfamiliar with JSF and SEAM I'm at a loss to know what the problem here is. Any help much appreciated..


                  This last one sounds like a conflict that is true - possibly because you should use Seam 2.2 if you want to deploy on AS 5 - and not Seam 2.0 as you chose too.

                  • 6. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
                    Samuel BP Newbie

                    I am with the same problems that you David Murphy. I look in everywhere and just here I found the solution for the Problem 3 in your topic. Thanks :D


                    And I

                    m with the Problem 1 too. I

                    m Brazilian and I think I don't understand what Max Andersen said. Is there a solution for the Problem 1?

                    • 7. Re: Seam New Project Won't Deploy (JBoss Tools 3.1.0, Seam 2.2.0)
                      David Murphy Newbie

                          --Problem 1-- While setting up the SEAM properties for the project the wizard asks for the seam properties Seam Runtime. I have Seam 2.2 installed but when I try to use that the wizard complains that The selected seam appears to be of an incompatible version '2.2.0.GA'. So get around that I installed SEAM 2.0 and the previous problem is resolved. But I have on older version of seam.



                      As you might have noticed that text is just a warning, not an error.

                      As I remember it was not a warning since it seemed to stop the wizard moving to the next step. As I said earlier I spent quite a lot of time trying to get the JBOSS Tools working and encountered many problems. So I have up on that and used seam-gen instead and was able to get everything working with the latest SEAM. The problems mentioned in 3 were resolved by letting the app use the JSF files bundled with JBOSS AS (and not including the JSF jar files with the app)